Skip to main content

Currencies

Request Example

POST /serviceApi.php HTTP/1.1
Content-Type: application/json
https://stg.otkgaming.com/serviceApi.php
{
"action" : "currencyList",
"platform" : 8,
"partnerId" : 1,
"hash" : "36435dd6e55d8926e2b97c4ae7450bee"
}


Property NameDescriptioTypeNotes
actionrequest typestring
platformplatform identifierintegerunique per platform
partnerIdidentifier of partner on the platforminteger
hashcalculated sha256 string (privateKey provided by the game provider’s side)stringHash string is calculated based on privateKey and "data" in JSON string. Example:
$hash = hash("sha256", "privateKey" . json_encode(data));

Response Example

https://stg.otkgaming.com
{
"code": 0,
"message": "ok",
"data": {
"currencies": [
{
"name": "USD",
"symbol": "$"
},
{
"name": "EUR",
"symbol": "€"
},
{
"name": "GBP",
"symbol": "£"
}
]
}
}